Bug 426158 - Mono System.Windows.Forms apps cannot start without libgdiplus-devel installed
Mono System.Windows.Forms apps cannot start without libgdiplus-devel installed
Product: Fedora
Classification: Fedora
Component: libgdiplus (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-18 16:43 EST by Rohan Dhruva
Modified: 2009-01-09 00:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:33:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Exception while running MoMA (12.57 KB, text/plain)
2007-12-18 16:43 EST, Rohan Dhruva
no flags Details

  None (edit)
Description Rohan Dhruva 2007-12-18 16:43:33 EST
Description of problem:
Mono System.Windows.Forms apps cannot start without libgdiplus-devel installed -
they give exceptions that /usr/lib/libgdiplus.so is not found.
The application I was using is MoMA - http://www.mono-project.com/MoMA

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to MoMA directory
2. mono MoMA.exe
3. Exception !
Actual results:
The program fails to run, with an exception. I'm attaching the detailed
exception, though it is always reproducible on any system.

Expected results:
With "libgdiplus" package installed, this should just work. 
After installing "libgdiplus-devel" it works, because that package provides

Additional info:
This is not happening because (I think) fedora is splitting out the .so from the
.so.0 file, but not updating the assemblies to use the non-.so file. 
Correct solution is for Fedora to either ship the .so in the libgdiplus package,
OR update the assembly.dll.config files to reference libgdiplus.so.0

Thanks to jonp on ##csharp on freenode for help in figuring out this problem.
Comment 1 Rohan Dhruva 2007-12-18 16:43:33 EST
Created attachment 289939 [details]
Exception while running MoMA
Comment 2 Rohan Dhruva 2007-12-18 16:48:50 EST
In this case, assembly.dll.config file should be

with contents something like 
<configuration><dllmap dll="gdiplus.dll" target="libgdiplus.so.0" /></configuration>

(Thanks again, jonp)
Comment 3 Bug Zapper 2008-11-26 04:03:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-01-09 00:33:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.